<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>

        <template id="model_template_id">
            <t t-call="web.external_layout">
                <t t-if="not o and doc">
                    <t t-set="o" t-value="doc"/>
                </t>
                <t t-set="o" t-value="o.with_context({'lang':'en_US'})"/>
                <div class="page">
                    <table class="table table-condensed">
                        <tbody>
                            <tr>
                                <td>
                                    <p>
                                        Field 1:
                                        <span t-field="o.field1"/>
                                    </p>
                                    <p>
                                        Field 2:
                                        <span t-field="o.field2"/>
                                    </p>

                                    <p>
                                        Field 3:
                                        <span t-field="o.field3"/>
                                    </p>
                                    <p>
                                        Field 4:
                                        <span t-field="o.field4"/>
                                    </p>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </t>
        </template>

        <template id="main_template_id">
            <t t-call="web.html_container">
                <t t-foreach="docs" t-as="o">
                    <t t-call="module_name.model_template_id" t-lang="en_US"/>
                </t>
            </t>
        </template>

    </data>
</odoo>